> For the complete documentation index, see [llms.txt](https://docs.lazarusbounty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lazarusbounty.com/hackscan/api-references.md).

# API References

This API is designed to allow ethical security experts racing against time to streamline and expedite their efforts in recovering the compromised funds.

## Retrieve all hacker addresses <a href="#request-url" id="request-url"></a>

<mark style="color:green;">**`Get`**</mark>  [**https://hackscan.hackbounty.io/public/hack-address.json**](https://hackscan.hackbounty.io/public/hack-address.json)

**Your Request**

{% tabs %}
{% tab title="cURL" %}

```bash
curl https://hackscan.hackbounty.io/public/hack-address.json
```

{% endtab %}

{% tab title="Go" %}

```go
import (
        "encoding/json"
        "fmt"
        "io/ioutil"
        "net/http"
)
...

        url := "https://hackscan.hackbounty.io/public/hack-address.json"

        resp, err := http.Get(url)
        if err != nil {
                fmt.Println("requestErr:", err)
                return
        }
        defer resp.Body.Close()

        if resp.StatusCode != http.StatusOK {
                fmt.Println("statueCode:", resp.StatusCode)
                return
        }

        body, err := ioutil.ReadAll(resp.Body)
        if err != nil {
                fmt.Println("readErr:", err)
                return
        }

        var data map[string]interface{}
        if err := json.Unmarshal(body, &data); err != nil {
                fmt.Println("jsonParseErr:", err)
                return
        }

        fmt.Println(data)
```

{% endtab %}

{% tab title="Java" %}

```java
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
import org.json.JSONObject;
...

        String url = "https://hackscan.hackbounty.io/public/hack-address.json";

        try {
            URL obj = new URL(url);
            HttpURLConnection con = (HttpURLConnection) obj.openConnection();
            con.setRequestMethod("GET");

            int responseCode = con.getResponseCode();
            if (responseCode == 200) {
                BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
                String inputLine;
                StringBuilder response = new StringBuilder();
                while ((inputLine = in.readLine()) != null) {
                    response.append(inputLine);
                }
                in.close();

                JSONObject jsonResponse = new JSONObject(response.toString());
                System.out.println(jsonResponse.toString(2));
            } else {
                System.out.println("failed:" + responseCode);
            }
        } catch (Exception e) {
            System.out.println("requestErr:" + e.getMessage());
        }
```

{% endtab %}

{% tab title="Python" %}

```python
import requests

url = "https://hackscan.hackbounty.io/public/hack-address.json"

try:
    response = requests.get(url)
    response.raise_for_status()
    data = response.json()
    print(data)
except requests.exceptions.RequestException as e:
    print("requestErr:", e)
```

{% endtab %}

{% tab title="Node.js" %}

```javascript
const axios = require('axios');

const url = "https://hackscan.hackbounty.io/public/hack-address.json";

axios.get(url)
    .then(response => {
        console.log(response.data);
    })
    .catch(error => {
        console.error("requestErr:", error.message);
    });
```

{% endtab %}
{% endtabs %}

**Our Response**

{% tabs %}
{% tab title="200: OK Successful Response" %}

```json
{
    "0221": {
        "eth": [
            "0x47666fab8bd0ac7003bce3f5c3585383f09486e2",
            "..."
        ],
        "btc": [
            "bc1qf5ljnw6knr7egy7t65fkd3xau7j7za4fskmxpg",
            "..."
        ],
        "bsc": [
            "0x9c249b3db6345367b43b2ced4c07d4ffa1fb5e11",
            "..."
        ],
        "arbi": [
            "0xc74e74fd13e5136c4f4106688fd07838cd6314f4",
            "..."
        ]
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.lazarusbounty.com/hackscan/api-references.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
